import * as React from 'react';
import DocPlaceholder from 'react-showroom-doc-placeholder';
import { Article } from './article';
import { ComponentMeta } from './component-meta';
import { mdxComponents } from './mdx-components';
import { Div } from './base';
import { TableOfContent } from './table-of-content';
export const ComponentDocArticle = (props) => {
    const { doc: Doc, headings } = props.content;
    const hasHeadings = headings && headings.length > 0;
    return (React.createElement(Div, { css: hasHeadings
            ? {
                '@xl': {
                    display: 'flex',
                    flexDirection: 'row-reverse',
                },
            }
            : undefined },
        hasHeadings && React.createElement(TableOfContent, { headings: headings }),
        React.createElement(Article, { css: hasHeadings
                ? {
                    '@xl': {
                        width: '75%',
                    },
                }
                : undefined },
            React.createElement(ComponentMeta, { componentData: props.metadata, slug: props.slug, propsDefaultOpen: true }),
            Doc ? (React.createElement(Doc, { components: mdxComponents })) : (React.createElement(DocPlaceholder, { componentFilePath: props.metadata.filePath })))));
};
//# sourceMappingURL=component-doc-article.js.map