import { Route, Routes } from '@showroomjs/bundles/routing';
import * as React from 'react';
import { DetailsPageContainer } from '../components/details-page-container';
import { MarkdownArticle } from '../components/markdown-article';
import { MarkdownDataProvider } from '../components/markdown-data-provider';
import { MarkdownDocStandaloneEditor } from '../components/markdown-doc-standalone-editor';
import { Seo } from '../components/seo';
import { StandalonePageContainer } from '../components/standalone-page-container';
import { EXAMPLE_DIMENSIONS, showDeviceFrame } from '../lib/config';
export const MarkdownRoute = ({ section, content, title, }) => {
    return (React.createElement(MarkdownDataProvider, { data: content },
        React.createElement(Routes, null,
            React.createElement(Route, { path: "_standalone/:codeHash", element: React.createElement(StandalonePageContainer, null,
                    React.createElement(Seo, { title: title, description: section.frontmatter.description }),
                    React.createElement(MarkdownDocStandaloneEditor, { showDeviceFrame: showDeviceFrame, codeFrameDimensions: EXAMPLE_DIMENSIONS, rootTitle: title })) }),
            React.createElement(Route, { path: "/", element: React.createElement(DetailsPageContainer, { title: title, description: section.frontmatter.description },
                    React.createElement(MarkdownArticle, { slug: section.slug, center: !section.frontmatter.hideSidebar, content: content })) }))));
};
//# sourceMappingURL=markdown-route.js.map