import { CodeBlocks } from '@showroomjs/core';
import type { Code, Parent } from 'mdast';
export declare type AllLangResult<Name extends string> = {
    [Key in Name]: Record<string, Array<string>>;
};
export declare type SingleLangResult<Name extends string> = {
    [Key in Name]: Array<string>;
};
interface CodeBlocksOptions<Name extends string, Lang extends string> {
    name?: Name;
    lang?: Lang;
    formatter?: (v: string) => string;
    filter?: (child: Code) => boolean;
}
export declare const codeblocks: <Name extends string = "codeblocks", Lang extends string = "all">(tree: Parent, { lang, name, formatter, filter, }?: CodeBlocksOptions<Name, Lang>) => Lang extends "all" ? AllLangResult<Name> : SingleLangResult<Name>;
export declare const mdToCodeBlocks: (mdSource: string, filter?: ((child: Code) => boolean) | undefined) => Promise<CodeBlocks>;
export {};
