"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.prepareUrls = void 0;
const tslib_1 = require("tslib");
const url = (0, tslib_1.__importStar)(require("url"));
function prepareUrls(protocol, host, port, pathname = '/') {
    const formatUrl = (hostname) => url.format({
        protocol,
        hostname,
        port,
        pathname,
    });
    const prettyPrintUrl = (hostname) => url.format({
        protocol,
        hostname,
        port,
        pathname,
    });
    const isUnspecifiedHost = host === '0.0.0.0' || host === '::';
    const prettyHost = isUnspecifiedHost ? 'localhost' : host;
    const localUrlForTerminal = prettyPrintUrl(prettyHost);
    const localUrlForBrowser = formatUrl(prettyHost);
    return {
        localUrlForTerminal,
        localUrlForBrowser,
    };
}
exports.prepareUrls = prepareUrls;
//# sourceMappingURL=prepare-url.js.map